Create a parent-scoped Activity
Creates an Activity for a supported CRM parent, optionally attributed to a same-organization Team Member while preserving API-key audit metadata. Records ActivityLog audit and can create transactional External References such as Salesforce ContentNote ids. Requires Idempotency-Key.
Creates an Activity for a supported CRM parent, optionally attributed to a same-organization Team Member while preserving API-key audit metadata. Records ActivityLog audit and can create transactional External References such as Salesforce ContentNote ids. Requires Idempotency-Key.
Organization API key. Format: Bearer sk_live_...
In: header
Request Body
application/json
JSON request payload for createActivity.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/activities" \ -H "Content-Type: application/json" \ -d '{ "parentType": "customer", "parentId": "customer_123", "type": "NOTE", "content": "Customer is comparing storage options.", "visibility": "TEAM" }'{ "data": {}, "meta": { "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}